parameters field to the request and response.curl --location --globoff --request PUT 'https:///api/v2/organizations/llm-configs/' \
--header 'Ocp-Apim-Subscription-Key: ' \
--header 'Authorization: Bearer ' \
--header 'Content-Type: application/json' \
--data '{
"parameters": {
"model": "claude-opus-4-8",
"model_provider": "anthropic",
"api_key": "<your-api-key>",
"base_url": "https://<resource>.services.ai.azure.com/anthropic/",
"thinking": {
"type": "adaptive",
"display": "omitted"
},
"max_tokens": 64000,
"output_config": {
"effort": "medium"
}
}
}'{
"success": true,
"message": "LLM configuration 'claude-opus-4-8' updated successfully",
"data": {
"id": 42,
"organization_id": 1,
"model_name": "claude-opus-4-8",
"model_provider": "anthropic",
"model_deployment": [
"chat"
],
"release_date": "2025-01-01",
"temperature": 0.7,
"top_p": 1,
"max_tokens": 8096,
"reasoning_effort": "medium",
"type": "Anthropic",
"context_length": 200000,
"pricing": 0.015,
"supports_function_calling": true,
"is_reasoning_model": true,
"is_enabled": true,
"is_default": false,
"tokens_per_minute": 40000,
"requests_per_minute": 50,
"parameters": {
"model": "claude-opus-4-8",
"model_provider": "anthropic",
"api_key": "<your-api-key>",
"base_url": "https://<resource>.services.ai.azure.com/anthropic/",
"thinking": {
"type": "adaptive",
"display": "omitted"
},
"max_tokens": 64000,
"output_config": {
"effort": "medium"
}
}
}
}